/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { SpreadsheetText } from "./SpreadsheetText";
import { typeCast, markType } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
var JsSpreadsheetText = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(JsSpreadsheetText, _super);
    function JsSpreadsheetText() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.e = 0;
        _this.f = 0;
        _this.g = null;
        _this.d = false;
        return _this;
    }
    JsSpreadsheetText.prototype.equals = function (a) {
        var b = typeCast(JsSpreadsheetText.$, a);
        return b != null && b.g == this.g && b.e == this.e && b.f == this.f;
    };
    JsSpreadsheetText.prototype.get_b = function () {
        return this.e;
    };
    Object.defineProperty(JsSpreadsheetText.prototype, "b", {
        get: function () {
            return this.get_b();
        },
        enumerable: false,
        configurable: true
    });
    JsSpreadsheetText.prototype.get_c = function () {
        return this.f;
    };
    Object.defineProperty(JsSpreadsheetText.prototype, "c", {
        get: function () {
            return this.get_c();
        },
        enumerable: false,
        configurable: true
    });
    JsSpreadsheetText.$t = markType(JsSpreadsheetText, 'JsSpreadsheetText', SpreadsheetText.$);
    return JsSpreadsheetText;
}(SpreadsheetText));
export { JsSpreadsheetText };
